Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces | Functions
FaceDetect.h File Reference

Libargus Extension: Face Detect API More...

Go to the source code of this file.

## Classes
class | Argus::Ext::IFaceDetectCaps
| Interface to expose the face detection capabilities of a CaptureSession. More...
class | Argus::Ext::IFaceDetectSettings
| Interface to face detection settings. More...
class | Argus::Ext::IFaceDetectMetadata
| Interface to overall face detection results metadata. More...
class | Argus::Ext::IFaceDetectResult
| Interface to the properties of a single face detection result. More...

## Namespaces
namespace | Argus
namespace | Argus::Ext

## Functions
| Argus::DEFINE_UUID (ExtensionName, EXT_FACE_DETECT, 40412bb0, ba24, 11e5, a837, 08, 00, 20, 0c, 9a, 66)
| Argus::Ext::DEFINE_UUID (InterfaceID, IID_FACE_DETECT_CAPS, 40412bb0, ba24, 11e5, a837, 08, 00, 20, 0c, 9a, 66)
| Argus::Ext::DEFINE_UUID (InterfaceID, IID_FACE_DETECT_SETTINGS, 40412bb1, ba24, 11e5, a837, 08, 00, 20, 0c, 9a, 66)
| Argus::Ext::DEFINE_UUID (InterfaceID, IID_FACE_DETECT_METADATA, 40412bb2, ba24, 11e5, a837, 08, 00, 20, 0c, 9a, 66)
| Argus::Ext::DEFINE_UUID (InterfaceID, IID_FACE_DETECT_RESULT, 40412bb3, ba24, 11e5, a837, 08, 00, 20, 0c, 9a, 66)

## Detailed Description

Libargus Extension: Face Detect API

Description: This file defines the FaceDetect extension.

Definition in file FaceDetect.h.